import { Ref } from 'vue';
import { EChartsOption } from 'echarts';

import * as echarts from "echarts";
export declare function useEcharts(elRef: Ref<HTMLElement>, theme?: "default" | "dark" | "light"): {
    setOptions: (options: EChartsOption, clear?: boolean) => Promise<unknown>;
    resize: () => void;
    echarts: any;
    getInstance: () => echarts.ECharts | null;
};
