import { default as Title } from './text/Title';
import { default as BasicLine } from './charts/Line/BasicLine';
import { default as BasicBar } from './charts/Bar/BasicBar/src/BasicBar.vue';
import { default as BasicPie } from './charts/Pie/BasicPie/src/BasicPie.vue';
export declare const asyncComponentAll: {
    Title: () => Promise<any>;
    BasicLine: () => Promise<any>;
    BasicBar: () => Promise<any>;
    BasicPie: () => Promise<any>;
};
export { DataSourceType } from './charts/chartEnum';
export type { DataSource, ChartData } from './charts/types';
export { Config as BasicLineConfig, defaultPropsValue as BasicLineDefaultProps, basicLineProps as BasicLineProps } from './charts/Line/BasicLine';
export { Config as BasicBarConfig, defaultPropsValue as BasicBarDefaultProps, basicBarProps as BasicBarProps } from './charts/Bar/BasicBar';
export { Config as BasicPieConfig, defaultPropsValue as BasicPieDefaultProps, basicPieProps as BasicPieProps } from './charts/Pie/BasicPie';
export type { IFormItem } from './cusForm';
export { CusForm } from './cusForm';
export declare const components: {
    BasicLine: any;
    BasicBar: any;
    Title: any;
    BasicPie: any;
};
export { BasicLine, BasicBar, Title, BasicPie };
